%define ver_major 1.14
%def_disable static

Name: libgsf
Version: 1.14.7
Release: alt1

Summary: GNOME Structured file library
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
Packager: Alexey Morsov <swi@altlinux.ru>
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
BuildPreReq: bzlib-devel
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libxml2-devel >= 2.4.16
BuildPreReq: libbonobo-devel >= 2.0
BuildPreReq: gnome-vfs2-devel >= 2.2.0
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: zlib-devel
BuildPreReq: libGConf2-devel

BuildRequires: perl-XML-Parser
BuildRequires: python >= 1.5 python-dev

%description
GNOME Structured file library

%package devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf.

%package devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf.

%package gnome
Summary: GNOME Structured file library
Group: System/Libraries

%description gnome
GNOME Structured file library with Bonobo and Gnome-vfs support.

%package gnome-devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name-gnome = %version-%release

%description gnome-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf with Bonobo and
Gnome-vfs support.

%package gnome-devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-gnome-devel = %version-%release

%description gnome-devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf with Bonobo and
Gnome-vfs support.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure \
    --with-gnome \
    --with-python \
    --enable-GCONF_SCHEMAS_INSTALL=yes \
    --with-bz2 \
    --enable-gtk-doc \
    %{subst_enable static}

%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_gtk_docdir/%name
cp doc/html/* %buildroot%_gtk_docdir/%name/

%find_lang --with-gnome %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post gnome -p %post_ldconfig
%postun gnome -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/%name-1.so.*
%_man1dir/*
#config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README TODO NEWS ChangeLog

%files devel
%dir %_includedir/%name-1
%_includedir/%name-1/gsf
%_libdir/%name-1.so
%_libdir/pkgconfig/%name-1.pc
%doc doc/html

%if_enabled static
%files devel-static
%_libdir/%name-1.a
%endif

%files gnome
%_libdir/%name-gnome-1.so.*
%doc AUTHORS README TODO NEWS ChangeLog

%files gnome-devel
%_includedir/%name-1/gsf-gnome
%_libdir/%name-gnome-1.so
%_libdir/pkgconfig/%name-gnome-1.pc
%doc %_gtk_docdir/*

%if_enabled static
%files gnome-devel-static
%_libdir/%name-gnome-1.a
%endif

%exclude %_includedir/libgsf-1/gsf-win32

%changelog
* Tue Sep 25 2007 Alexey Morsov <swi@altlinux.ru> 1.14.7-alt1
- version 1.14.7

* Fri Sep 14 2007 Alexey Morsov <swi@altlinux.ru> 1.14.6-alt1
- buf fixes
- some function deprecated/deleted/renamed

* Tue Jul 31 2007 Alexey Morsov <swi@altlinux.ru> 1.14.5-alt1
- fix a doc build error
- many small fixes
- needed for gnumeric 1.7.11

* Tue Mar 06 2007 Alexey Morsov <swi@altlinux.ru> 1.14.3-alt1
- new version (bug fixes)

* Thu Dec 14 2006 Alexey Morsov <swi@altlinux.ru> 1.14.2-alt1
- NMU: new version

* Sat Sep 23 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.1-alt2
- fixed dependencies.

* Fri Aug 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.1-alt1
- new version 1.14.1 (with rpmrb script)

* Sat Jun 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt2
- fixed the license.

* Tue Mar 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.14.0-alt1
- new version (1.14.0)
- spec cleanup

* Thu Nov 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.13.3-alt1
- new version

* Tue Oct 11 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.13.2-alt1
- new version
- Removed excess buildreqs.

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.12.3-alt1
- 1.12.3

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.12.2-alt1
- 1.12.2

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.10.1-alt1
- 1.10.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Wed May 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- 1.9.0

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt3
- do not package .la files.
- do not build devel-static subpackages by default.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt2
- libgsf-gnome{,-devel{,-static}} subpackages.

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt1
- 1.8.2

* Sat Jun 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Mon May 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.0-alt1
- 1.8.0

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.7.2-alt1
- new version.

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 1.4.0-alt1
- first build for Sisyphus

